ReferenceAdmin
Create a team and assign its first owner
POST
/v1/admin/teamsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/teams" \ -H "Content-Type: application/json" \ -d '{ "slug": "registrar", "name": "Office of the Registrar", "maxClassification": "sensitive", "ownerEmail": "user@example.com" }'{ "data": { "team": { "team": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "description": "string", "maxClassification": "string", "status": "active", "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "archivedAt": "2019-08-24T14:15:22Z" }, "memberCount": 0, "ownerCount": 0, "agentCount": 0, "sourceCount": 0, "kbCount": 0, "documentCount": 0, "storageBytes": 0 }, "owner": { "status": "added", "member": { "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "displayName": "string", "status": "active" }, "role": "owner", "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "managedBy": { "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac", "group": "string" } }, "invite": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "role": "owner", "invitedBy": "9803bd85-1570-4d91-99f5-3a4d18ccfff0", "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z" } } }}